import { defineComponent as a, createElementBlock as t, createCommentVNode as l, openBlock as n, toDisplayString as o } from "vue";
const r = { key: 0 }, s = /* @__PURE__ */ a({
  __name: "DatahubDataTypeCurrencyValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(c) {
    return (e, p) => e.cellValue ? (n(), t("span", r, o(e.cellValue.id), 1)) : l("", !0);
  }
});
export {
  s as default
};
